#include <avr/io.h>
#include <avr/interrupt.h>

#include "init.h"

#include "display.h"
#include "driver.h"
#include "library.h"

void init(void)
{
	DDRC= 0x04;
	PORTC= 0x04;
	DDRB= 0xF7;   //Miso-Eingang andere Ausgang
	PORTB = 0xFF;

	CLKPR = 0x80; 
	CLKPR = 0x00;

	UCSR1B = (1<<TXEN1) | (1<<RXEN1);
	UCSR1C = (0<<USBS1) | (3<<UCSZ10);

	UBRR1H = (25>>8);
	UBRR1L = 25;


	TCCR1B= (1<<WGM12) | (5<<CS10) ;
	TIMSK1= (1<<OCIE1A);
	OCR1A = 31250;


	SPCR= (1<<SPE) | (0<<DORD) | (1<<MSTR) | (0<<CPHA) | 
			(0<<CPOL) | (1<<SPR0);

	sei ();
}
