#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <stdio.h>
#include <avr/sleep.h>


#include "init.h"
#include "driver.h"
#include "display.h"


#include "library.h"


int main (void)
{

  init ();
  auto_baud();

  display_loeschen();
  _delay_ms (400);
  display_kreis();
  display_loeschen();
  display_hintergrundfarbe();
  _delay_ms (20);

  while (1)
    {
	  if (neuerwert_vorhanden==1)
	  {
		  text_entfernung ();
		  _delay_ms (20);
		  text_cm ();
		  _delay_ms (20);
		  distanz_analogwert ();
		  _delay_ms (20);

		  if ((adc_wert == 0) || (adc_wert == 255))
		  {
		    error_anzeige ();
		  }
		  else
		  {
		    distanz_entfernung ();
		  }

		  _delay_ms (20);
		  balken_funktion ();

		  neuerwert_vorhanden=0;
       }
	   else
	      set_sleep_mode(SLEEP_MODE_IDLE);
	}
}




